Bug 226857 - [PATCH] mail/py-milter: Update to 1.0.2, follow move to github
Summary: [PATCH] mail/py-milter: Update to 1.0.2, follow move to github
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-22 22:18 UTC by Peter Wullinger
Modified: 2018-05-19 16:25 UTC (History)
3 users (show)

See Also:
schmidt: maintainer-feedback+


Attachments
update to 1.0.2 and add Python 3 support (by patching) (11.86 KB, patch)
2018-03-22 22:18 UTC, Peter Wullinger
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Peter Wullinger 2018-03-22 22:18:11 UTC
Created attachment 191744 [details]
update to 1.0.2 and add Python 3 support (by patching)

As far as I can tell, pymilter has now moved over to github (https://github.com/sdgathman/pymilter/) and is now at version 1.0.2.

The attached patch 

- moves MASTER_SITES to github
- updates the port to 1.0.2
- adds Python flavoring 
- contains and applies the optional Python 3 patch when using py3* flavoring
- adds some Python 3 compile fixes backported from github master (https://github.com/sdgathman/pymilter/commit/36750bac78681bee98d84016b8f0536d770382f6)
Comment 1 schmidt 2018-03-23 08:21:12 UTC
Have you tested the update with mails from sender with a IPv6 address. 

The patch you revoke last in your diff was a fix for crashes when py-milter receives a IPv6 address. I think the fix should be in the update, as I reported the Bug back upstream when i introduced the patch in the Port. 

I will test your changes and IPv6 when I'm back at work on Monday. 

Thanks for your work.

Regards
   Estartu

P.S. estartu@augusta.de is my private E-Mail and schmidt@ze.tum.de my work E-Mail. I maintain the port mainly in my free time but only have this account on Bugzilla.
Comment 2 Peter Wullinger 2018-03-23 17:17:08 UTC
> Have you tested the update with mails from sender with a IPv6 address. 

No, not in practice. miltermodule.c from the package source already has

#if defined(__FreeBSD__) || defined(__linux__)
#define HAVE_IPV6_RFC2553
#include <arpa/inet.h>
#endif

1.0.2 is after https://github.com/sdgathman/pymilter/commit/a0bd76cdedaf2f96b58df831bd74374fc4e8cda5#diff-a376aa536e156c934230ccb0bc8d0632, which introduced this change.
Comment 3 schmidt 2018-03-31 08:03:48 UTC
Sorry for the delay was quite a week at work.

I managed to do some testing with IPv6 and so far all checks out. As for the Python3 part I assume you tested it. 

Thanks for your work Peter.

So I approve the changes. 

Regards 
   Estartu
Comment 4 commit-hook freebsd_committer 2018-05-19 16:25:55 UTC
A commit references this bug:

Author: miwi
Date: Sat May 19 16:25:16 UTC 2018
New revision: 470417
URL: https://svnweb.freebsd.org/changeset/ports/470417

Log:
  - Update to 1.0.2
  - Use Github

  PR:	226857
  Submitted by:	Peter Wullinger
  Approved by:	maintainer
  Sponsored by:     iXsystems Inc.

Changes:
  head/mail/py-milter/Makefile
  head/mail/py-milter/distinfo
  head/mail/py-milter/files/extra-patch-miltermodule.c
  head/mail/py-milter/files/patch-Milter-dns.py
  head/mail/py-milter/files/patch-Milter-dsn.py
  head/mail/py-milter/files/patch-miltermodule.c